using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GotoCountdown : MonoBehaviour {

    public GameStateType m_TargetState = GameStateType.GameOver;
    public float m_Delay = 5.0f;

	void Start ()
    {
        GameManager.CreateInstance();
        Invoke("ExecuteGoto", 5.0f);
	}

    void ExecuteGoto()
    {
        switch(m_TargetState)
        {
            case GameStateType.GameOver: 
                GameManager.Instance.GotoGameOver();
                return;

            case GameStateType.Menu:
                GameManager.Instance.GotoMenu();
                return;
        }
        
    }	
}

